Subject: Re: [PATCH 2/7] add push line in git-clone

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Apr 2008 23:28:39 -0700

Paolo Bonzini <[email-masked]> writes:

> This patch makes git-clone add a remote.origin.push line, using the
> new ":" special refspec.  This is useful in the following patches that
> modify the behavior of "git push"; right now, it only adds clarity.

Used together with [1/7], this change is Ok in a homogeneous environment,
but it would break people who use git of different vintage on the same
repository (think of a repository on a networked filesystem).  You clone
like this, and older git won't grok the push configuration anymore.

It may look a very minor point, but I think it deserves mentioning.